MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022932Community[OCCT] OCCT:Foundation Classespublic2012-01-27 18:542012-04-16 12:32
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022932: Memory leak in math_FunctionRoots.cxx line 254
Descriptionthe lines

if( Nvalid < N ) {
Done = Standard_False;
return;
}

do not delete the previously allocated variable 'ptrval'. I would change the code to:

if( Nvalid < N ) {
Done = Standard_False;
delete [] ptrval;
return;
}
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships

-  Notes
(0019313)
abv (manager)
2012-01-30 17:44

Please use TColStd_Array1OfReal instead of plain C pointer
(0019447)
dbv (developer)
2012-02-08 10:02

TColStd_Array1OfReal used instead of plain C pointer

Branch http://svn/svn/occt/branches/OCC22932 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019450)
abv (manager)
2012-02-08 10:45

No remarks, please test
(0019589)
aan (tester)
2012-02-15 18:16
edited on: 2012-02-15 18:17

Dear BugMaster,
Workbench KAS:dev:aan-22932-occt from SVN branch http://svn/svn/occt/branches/22932 [^]
(and aan-22932-products from trunk) was successfully compiled on Linux and Windows platforms, and tested on Linux and Windows platforms.

There are not regressions in aan-22932-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22932-products_14022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019616)
bugmaster (administrator)
2012-02-17 12:15

Integrated into trunk of occt repository

Date: 2012-02-17 12:14:03 +0400 (Fri, 17 Feb 2012)
New Revision: 10498

Modified:
   trunk/src/math/math_FunctionRoots.cxx
(0020369)
Pawel (developer)
2012-04-12 17:10

Verified. Please close.

- Related Changesets
occt: master 232a3086
Timestamp: 2012-02-17 08:14:03
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022932: Memory leak in math_FunctionRoots.cxx line 254
mod - src/math/math_FunctionRoots.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-27 18:54 Pawel New Issue
2012-01-27 18:54 Pawel Assigned To => abv
2012-01-30 17:44 abv Note Added: 0019313
2012-01-30 17:44 abv Assigned To abv => dbv
2012-01-30 17:44 abv Status new => assigned
2012-02-08 10:02 dbv Note Added: 0019447
2012-02-08 10:02 dbv Assigned To dbv => abv
2012-02-08 10:02 dbv Status assigned => resolved
2012-02-08 10:45 abv Note Added: 0019450
2012-02-08 10:45 abv Assigned To abv => dbv
2012-02-08 10:45 abv Status resolved => reviewed
2012-02-08 10:46 abv Target Version => 6.5.3
2012-02-14 13:13 mkv Assigned To dbv => aan
2012-02-15 18:16 aan Note Added: 0019589
2012-02-15 18:17 aan Note Edited: 0019589 View Revisions
2012-02-15 18:17 aan Test case number => test case is not required
2012-02-15 18:17 aan Status reviewed => tested
2012-02-17 12:15 bugmaster Note Added: 0019616
2012-02-17 12:15 bugmaster Status tested => verified
2012-02-17 12:15 bugmaster Resolution open => fixed
2012-02-17 12:15 bugmaster Assigned To aan => Pawel
2012-03-29 17:26 bugmaster Changeset attached => occt master 232a3086
2012-04-12 17:10 Pawel Note Added: 0020369
2012-04-16 12:32 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker